Skip to main content
GET
/
app-event-subscriptions
List app event subscriptions
curl --request GET \
  --url https://api.getmembrane.com/app-event-subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "revision": "<string>",
      "userId": "<string>",
      "appEventTypeId": "<string>",
      "isSubscribed": true,
      "webhookUri": "<string>",
      "subscriptionRequest": {
        "uri": {},
        "method": "<string>",
        "headers": {},
        "query": {},
        "body": {}
      },
      "uuid": "<string>",
      "key": "<string>",
      "description": "<string>",
      "meta": {},
      "state": "BUILDING",
      "errors": [
        {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        }
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archivedAt": "<string>",
      "isDeactivated": true,
      "isReadOnly": true,
      "tenantId": "<string>",
      "instanceKey": "<string>",
      "schema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "format": "<string>",
        "properties": {},
        "items": "<unknown>",
        "additionalProperties": true,
        "enum": [
          "<string>"
        ],
        "referenceRecords": [
          {}
        ],
        "referenceCollection": {
          "key": {},
          "parameters": {}
        },
        "referenceUdm": "<string>",
        "default": {},
        "allowCustom": true,
        "required": [
          "<string>"
        ],
        "minLength": 123,
        "maxLength": 123,
        "minimum": 123,
        "maximum": 123,
        "maxItems": 123,
        "readOnly": true,
        "writeOnly": true,
        "examples": [
          {}
        ],
        "anyOf": "<array>",
        "isImplied": true,
        "isSensitive": true,
        "referenceCollectionPath": "<string>",
        "referenceCollectionUri": "<string>"
      },
      "subscriptionResponse": {},
      "appEventType": {
        "id": "<string>",
        "name": "<string>",
        "revision": "<string>",
        "webhookKey": "<string>",
        "globalWebhookUri": "<string>",
        "uuid": "<string>",
        "key": "<string>",
        "description": "<string>",
        "meta": {},
        "state": "BUILDING",
        "errors": [
          {
            "message": "<string>",
            "type": "bad_request",
            "key": "<string>",
            "data": {},
            "stack": {},
            "causedByError": "<unknown>",
            "logs": [
              {}
            ]
          }
        ],
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "archivedAt": "<string>",
        "isDeactivated": true,
        "isReadOnly": true,
        "subscribeRequest": {
          "uri": {},
          "method": "<string>",
          "headers": {},
          "query": {},
          "body": {}
        },
        "example": {},
        "schema": {
          "type": "<string>",
          "title": "<string>",
          "description": "<string>",
          "format": "<string>",
          "properties": {},
          "items": "<unknown>",
          "additionalProperties": true,
          "enum": [
            "<string>"
          ],
          "referenceRecords": [
            {}
          ],
          "referenceCollection": {
            "key": {},
            "parameters": {}
          },
          "referenceUdm": "<string>",
          "default": {},
          "allowCustom": true,
          "required": [
            "<string>"
          ],
          "minLength": 123,
          "maxLength": 123,
          "minimum": 123,
          "maximum": 123,
          "maxItems": 123,
          "readOnly": true,
          "writeOnly": true,
          "examples": [
            {}
          ],
          "anyOf": "<array>",
          "isImplied": true,
          "isSensitive": true,
          "referenceCollectionPath": "<string>",
          "referenceCollectionUri": "<string>"
        },
        "tenantIdFormula": {},
        "userIdFormula": {}
      },
      "user": {
        "id": "<string>",
        "name": "<string>",
        "internalId": "<string>",
        "meta": {},
        "fields": {},
        "credentials": {},
        "lastActiveAt": "<string>",
        "isTest": true,
        "isBillable": true,
        "isActive": true,
        "aiCreditsRolling30DayLimit": 1,
        "createdAt": "<string>",
        "archivedAt": "<string>"
      }
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

includeArchived
boolean
id
string
tenantId
string
userId
string
appEventTypeId
string
isSubscribed
boolean
instanceKey
string

Response

200 - application/json
items
object[]
required
cursor
string